# Uses of Interface
org.opensaml.saml.ext.saml2mdui.InformationURL

Packages that use InformationURL
Package
Description
org.opensaml.saml.ext.saml2mdui
Interfaces for SAML 2 Metadata Extensions for Login UI and Discovery.
org.opensaml.saml.ext.saml2mdui.impl
Implementation for SAML V2 Metadata Extensions for UI and Discovery.

## Uses of InformationURL in org.opensaml.saml.ext.saml2mdui

Methods in org.opensaml.saml.ext.saml2mdui that return types with arguments of type InformationURL
Modifier and Type
Method
Description
`List<InformationURL>`
UIInfo.`getInformationURLs()`
Get the URLs.

## Uses of InformationURL in org.opensaml.saml.ext.saml2mdui.impl

Classes in org.opensaml.saml.ext.saml2mdui.impl that implement InformationURL
Modifier and Type
Class
Description
`class`
`InformationURLImpl`
Concrete implementation of `InformationURL`.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return InformationURL
Modifier and Type
Method
Description
`InformationURL`
InformationURLBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`InformationURL`
InformationURLBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return types with arguments of type InformationURL
Modifier and Type
Method
Description
`List<InformationURL>`
UIInfoImpl.`getInformationURLs()`
Get the URLs.